hadoop-zookeeper-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Patrick Hunt <ph...@apache.org>
Subject Re: how to build an mt version of shared lib for zookeeper under cygwin?
Date Thu, 08 Apr 2010 07:05:05 GMT
That is weird. Ben tried with 1.7 as part of the release and it was 
fine. Looks like this issue has happened to others, but this wasn't very 
recent:

http://cygwin.com/ml/cygwin/2009-05/msg00063.html

Perhaps you can try upgrading your cygwin install to the latest (ensure 
you have the latest) and try again? You might look at Makefile.am in zk 
src/c and play with the -lpthread there. Perhaps if you link to 
/usr/lib/libpthread.a directly? (replace -lpthread). Give that a try.

Patrick

On 04/07/2010 11:32 PM, zd.wbh wrote:
> $ ls /usr/lib/*pth*
> /usr/lib/libpthread.a
> checking for pthread_mutex_lock in -lpthread... yes
> Attach is the complete log for configure and make. Am i just getting bad
> luck :(
> 2010-04-08
> ------------------------------------------------------------------------
> Will
>
>
> when you run configure what does it say for pthreads?
> My cygwin says this:
> checking for pthread_mutex_lock in -lpthread... yes
> Do you have pthreads libs in /usr/lib?
> I see:
> $ ls /usr/lib/*pth*
> /usr/lib/libpthread.a*
> You could also try running configure and the build, capture all the
> output and attach as a gzip'd file (or create a jira and attach there if
> you like). Should help to get to the bottom of the issue.
> Patrick
> On 04/07/2010 06:36 PM, zd.wbh wrote:
>  > likely to be the latest version. I need the sync api but zookeeper_st
> only provides async interface, do i need any additional libs? I've
> already installed the pthread stubs pkg-config metadata.
>  >
>  > $ uname -srv
>  > CYGWIN_NT-5.1 1.7.3(0.225/5/3) 2010-04-03 11:26
>  >
>  >
>  > 2010-04-08
>  >
>  >
>  >
>  > Will
>  >
>  >
>  >
>  > Are you running cygwin 1.7 or 1.5? I believe there was a change btw
>  > versions of cygwin on how pthreads was supported.
>  >
>  > Patrick
>  >
>  > On 04/07/2010 03:08 AM, zd.wbh wrote:
>  >> hi, all:
>  >>
>  >> Is it possible to build an mt version of zookeeper dll lib? I've
>  >> tried, cygzookeeper_st-2.dll come out successfully, but not
>  >> zookeeper_mt.dll. Official sites says the st version is for the
>  >> platform that without a pthread lib or the pthread lib is not stable.
>  >> Does the cygwin pthread lib falls into the unstable category? Is
>  >> there any work-around to generate mt dll? Bellow is the warning:
>  >>
>  >> *** Warning: linker path does not have real file for library
>  >> -lpthread. *** I have the capability to make that library
>  >> automatically link in when *** you link to this library. But I can
>  >> only do this if you have a *** shared version of the library, which
>  >> you do not appear to have *** because I did check the linker path
>  >> looking for a file starting *** with libpthread and none of the
>  >> candidates passed a file format test *** using a file magic. Last
>  >> file checked: /lib/libpthread.a *** The inter-library dependencies
>  >> that have been dropped here will be *** automatically added whenever
>  >> a program is linked with this library *** or is declared to -dlopen
>  >> it. *** Since this library must not contain undefined symbols, ***
>  >> because either the platform does not support them or *** it was
>  >> explicitly requested with -no-undefined, *** libtool will only create
>  >> a static version of it.
>  >>
>  >> 2010-04-07
>  >>
>  >>
>  >>
>  >> zd.wbh

Mime
View raw message